vm_insert_pfn
Prev | More Memory Management Functions | Next

## Name

vm_insert_pfn — insert single pfn into user vma

## Synopsis

`int vm_insert_pfn (` | struct vm_area_struct * | vma,
| unsigned long | addr,
| unsigned long | pfn`)`;

## Arguments

`vma`

  user vma to map to

`addr`

  target user address of this page

`pfn`

  source kernel pfn

## Description

Similar to vm_inert_page, this allows drivers to insert individual pages they've allocated into a user vma. Same comments apply.

This function should only be called from a vm_ops->fault handler, and in that case the handler should return NULL.

Prev | Up | Next
vm_insert_page | Home | remap_pfn_range